Subject: Re: bug#21523: 25.0.50; Undo with active region adds extra text

From: Stefan Monnier <[email-masked]>
Date: Sun, 20 Sep 2015 15:43:14 -0400

>> Or maybe the "undo-in-region" should only ever undo complete steps
>> (i.e. everything between two undo boundaries), so if any part of an undo
>> step affects text outside of the region, then the whole step is skipped.

> The undo commands are supposed to undo a complete change
> as one unit.  If in this case it fails to do that, that would seem
> to be a bug, right?

Yes, that's what I was also trying to say.  I think that'd be the
better fix.

        Stefan